GNU bug report logs - #43973
28.0.50; [NS] Two crashes on macOS

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Andrii Kolomoiets <andreyk.mad@HIDDEN>; dated Tue, 13 Oct 2020 07:36:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 43973 <at> debbugs.gnu.org:


Received: (at 43973) by debbugs.gnu.org; 14 Oct 2020 21:16:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 14 17:16:04 2020
Received: from localhost ([127.0.0.1]:53232 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSo7v-0001PB-QD
	for submit <at> debbugs.gnu.org; Wed, 14 Oct 2020 17:16:04 -0400
Received: from wilbur.contactoffice.com ([212.3.242.68]:35130)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1kSo7r-0001DC-5V
 for 43973 <at> debbugs.gnu.org; Wed, 14 Oct 2020 17:16:00 -0400
Received: from smtpauth2.co-bxl (smtpauth2.co-bxl [10.2.0.24])
 by wilbur.contactoffice.com (Postfix) with ESMTP id B08EB82D;
 Wed, 14 Oct 2020 23:15:52 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1602710152; 
 s=20200222-6h9o; d=idiocy.org; i=alan@HIDDEN;
 h=Date:From:To:Cc:Subject:Message-ID:References:MIME-Version:Content-Type:In-Reply-To;
 l=1502; bh=4U3CbBDvXKzu5/Y9QJX1lRkUxDS3kbNndVsX57IDPxI=;
 b=dLl3w1BUYocsVV80KV99lYPVql5t4TpyCYmjVvdih8Y2Jr0cjTeAO4tuqlmZTKhy
 fvylus87NMgA2AnilKeCAMEzUST8VKWF0/WnpqLRx0PEtvGhrSYugoIYcqu3i9wCzpc
 RxpE0Q8rxprzRHehnIq2lsv9gcBrJ9h7hVHM8t0TM9Q4LQ78MyuR8ONj0m5myk9DQYb
 IiNVCV7GonmaT/oKvVXenxAKZ2TwJrQWJHPTsVmGQkmitTaLqve/SN5Yvh5Vlrec2ED
 xSJIhTw4sA8w5QPmhaNjoT5m2QcbISGURQfsZamj8jg+FjmWt7e+TjTAAdXR0JkVpHF
 POqMX4zTbQ==
Received: by smtp.mailfence.com with ESMTPA ;
 Wed, 14 Oct 2020 23:15:49 +0200 (CEST)
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id 52F1D2025FAC0D; Wed, 14 Oct 2020 22:15:48 +0100 (BST)
Date: Wed, 14 Oct 2020 22:15:48 +0100
From: Alan Third <alan@HIDDEN>
To: Andrii Kolomoiets <andreyk.mad@HIDDEN>
Subject: Re: bug#43973: 28.0.50; [NS] Two crashes on macOS
Message-ID: <20201014211548.GP60347@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Andrii Kolomoiets <andreyk.mad@HIDDEN>, 43973 <at> debbugs.gnu.org
References: <m2o8l6h933.fsf@HIDDEN>
 <20201014204147.GO60347@HIDDEN>
 <m2k0vswmhu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <m2k0vswmhu.fsf@HIDDEN>
X-Spam-Flag: NO
X-Spam-Status: No, hits=-2.9 required=4.7 symbols=ALL_TRUSTED,
 BAYES_00 device=10.2.0.1
X-ContactOffice-Account: com:241649512
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43973
Cc: 43973 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Thu, Oct 15, 2020 at 12:01:17AM +0300, Andrii Kolomoiets wrote:
> Alan Third <alan@HIDDEN> writes:
> 
> > On Tue, Oct 13, 2020 at 10:35:28AM +0300, Andrii Kolomoiets wrote:
> >>     (make-frame `((parent-frame . ,(selected-frame))
> >>                   (width . 0.5)
> >>                   (height . 0.5)
> >>                   (top . 0.5)
> >>                   (left . 0.5)))|
> >
> > Out of interest, does the frame need to be smaller than default for
> > the crash to happen? For example if width is 1 does it still crash?
> 
> The frame must be small enough to not all the toolbar buttons fits the
> toolbar:
> 
> (setq test-frame (make-frame `((parent-frame . ,(selected-frame))
> 			                   (width . 41))))
> 
> The last button (isearch) is replaced by ">>".

Funnily enough that ">>" is what I was looking at. I guess it's a
toolkit image and not something we provide with Emacs...?

> There are no crash if '(width . 42)'.

Can you try this:

modified   src/nsmenu.m
@@ -1207,7 +1207,7 @@ - (BOOL) changed
     enablement == prevEnablement ? NO : YES;
 }
 
-- (void) addDisplayItemWithImage: (EmacsImage *)img
+- (void) addDisplayItemWithImage: (NSImage *)img
                              idx: (int)idx
                              tag: (int)tag
                         helpText: (const char *)help

modified   src/nsterm.h
@@ -561,7 +561,7 @@ #define NS_DRAW_TO_BUFFER 1
 - (void) clearActive;
 - (void) clearAll;
 - (BOOL) changed;
-- (void) addDisplayItemWithImage: (EmacsImage *)img
+- (void) addDisplayItemWithImage: (NSImage *)img
                              idx: (int)idx
                              tag: (int)tag
                         helpText: (const char *)help

-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43973; Package emacs. Full text available.

Message received at 43973 <at> debbugs.gnu.org:


Received: (at 43973) by debbugs.gnu.org; 14 Oct 2020 21:01:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 14 17:01:28 2020
Received: from localhost ([127.0.0.1]:53162 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSnto-0008OO-Dq
	for submit <at> debbugs.gnu.org; Wed, 14 Oct 2020 17:01:28 -0400
Received: from mail-lf1-f47.google.com ([209.85.167.47]:33771)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyk.mad@HIDDEN>) id 1kSntm-0008O7-OA
 for 43973 <at> debbugs.gnu.org; Wed, 14 Oct 2020 17:01:27 -0400
Received: by mail-lf1-f47.google.com with SMTP id l2so1068122lfk.0
 for <43973 <at> debbugs.gnu.org>; Wed, 14 Oct 2020 14:01:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=tJaW7jLEGDtnrS+D4JAxT0AhdRd89BMTCwTsaJYH1QI=;
 b=IjLMtDaTGa3KIn70Ole2WWvRVlForhDryc4jthHi6Oj5lPLYcY5VSNQwfTeo0G8f3Q
 NG9VEoat11FpQV9CgCnO03DU5pYxSExTbtmtrUoNi9WNWJA0nu6yrekuc1K51ZIaoZ16
 kkHiNmfteHHYuwjU8udo6Ce9Fz3VDqYTeCwUHr66Bt/xY1juWyr5i5e+TlcEFXz4A54Z
 YyCCH3Jr2aSsdHqDWkiGliXpVv/sdPb9mh3fnZF88Dl44yIFuKhq0BR9WukwbUSTLFIR
 koEP2Z6LgiLR/dAhrz/WDQ7lFhadlbzbFWJwbkwP6Bb0j6YfOYBcGRRyVmQAGgN5Uivp
 JlFg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=tJaW7jLEGDtnrS+D4JAxT0AhdRd89BMTCwTsaJYH1QI=;
 b=PkVauel7WcaTU/dR+eJR1Xs/P+xtfJUD39OJ4cGnmT39gb7Pjmk/zmuZ1vfVfEfcVK
 tSCSJfekCvzcS7+1Q1HAK1Vjb89uPP6qE/ddlK6KGrdoOtEfIe0PQQX5ijxRm2ubk/Ru
 pv4DxnfPZ07f9bXvFS6cJvGwp7YpUZWPjCfg/c/p6YbdmiCzTGTNcPDlX3gfNPR2LJ6i
 o37M0y5IXmXVmY09eK1ceFlYVHb0wJ3rAlwrz/vi69kNGQWLyCuLC0czN7OHf0Zl2SRQ
 BfGj5FJtNxJo3TZUtoj46pER5heGeXComWlqm7kolY9vLKrP3jRtFNVCf6w/fRhldh7w
 qZGA==
X-Gm-Message-State: AOAM532ky0Bw03IxcCTSVVABhB0WvQKsfcXmuA3uRHLaDcj3wfwM3yFl
 Eqjfs7VZ1stRlhDP72AFGyxoOdxRbCU=
X-Google-Smtp-Source: ABdhPJwUq7f8/g4PFnYPUtACzUnPPtRqqHnBWMVEdgcFPmOFlXopr1wJHnzhaTa9VWzZ+niMoGiUJg==
X-Received: by 2002:ac2:5230:: with SMTP id i16mr319963lfl.33.1602709279360;
 Wed, 14 Oct 2020 14:01:19 -0700 (PDT)
Received: from muffinmac ([91.206.110.168])
 by smtp.gmail.com with ESMTPSA id s24sm323761ljj.8.2020.10.14.14.01.18
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 14 Oct 2020 14:01:18 -0700 (PDT)
From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
To: Alan Third <alan@HIDDEN>
Subject: Re: bug#43973: 28.0.50; [NS] Two crashes on macOS
References: <m2o8l6h933.fsf@HIDDEN>
 <20201014204147.GO60347@HIDDEN>
Date: Thu, 15 Oct 2020 00:01:17 +0300
In-Reply-To: <20201014204147.GO60347@HIDDEN> (Alan Third's
 message of "Wed, 14 Oct 2020 21:41:47 +0100")
Message-ID: <m2k0vswmhu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 3.6 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Alan Third writes: > On Tue, Oct 13, 2020 at 10:35:28AM +0300,
 Andrii Kolomoiets wrote: >> (make-frame `((parent-frame . ,(selected-frame))
 >> (width . 0.5) >> (height . 0.5) >> (top . 0.5) >> (left . 0.5)))| > >
 Out of [...] 
 Content analysis details:   (3.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [91.206.110.168 listed in zen.spamhaus.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (andreyk.mad[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.167.47 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.167.47 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 43973
Cc: 43973 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.6 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Alan Third writes: > On Tue, Oct 13, 2020 at 10:35:28AM +0300,
    Andrii Kolomoiets wrote: >> (make-frame `((parent-frame . ,(selected-frame))
    >> (width . 0.5) >> (height . 0.5) >> (top . 0.5) >> (left . 0.5)))| > >
   Out of [...] 
 
 Content analysis details:   (2.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [91.206.110.168 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.167.47 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.167.47 listed in wl.mailspike.net]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (andreyk.mad[at]gmail.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Alan Third <alan@HIDDEN> writes:

> On Tue, Oct 13, 2020 at 10:35:28AM +0300, Andrii Kolomoiets wrote:
>>     (make-frame `((parent-frame . ,(selected-frame))
>>                   (width . 0.5)
>>                   (height . 0.5)
>>                   (top . 0.5)
>>                   (left . 0.5)))|
>
> Out of interest, does the frame need to be smaller than default for
> the crash to happen? For example if width is 1 does it still crash?

The frame must be small enough to not all the toolbar buttons fits the
toolbar:

(setq test-frame (make-frame `((parent-frame . ,(selected-frame))
			                   (width . 41))))

The last button (isearch) is replaced by ">>".

There are no crash if '(width . 42)'.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43973; Package emacs. Full text available.

Message received at 43973 <at> debbugs.gnu.org:


Received: (at 43973) by debbugs.gnu.org; 14 Oct 2020 20:42:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 14 16:42:01 2020
Received: from localhost ([127.0.0.1]:53139 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSnaz-0007tr-2B
	for submit <at> debbugs.gnu.org; Wed, 14 Oct 2020 16:42:01 -0400
Received: from wilbur.contactoffice.com ([212.3.242.68]:33866)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1kSnaw-0007tc-DY
 for 43973 <at> debbugs.gnu.org; Wed, 14 Oct 2020 16:41:59 -0400
Received: from smtpauth2.co-bxl (smtpauth2.co-bxl [10.2.0.24])
 by wilbur.contactoffice.com (Postfix) with ESMTP id D3B4811A2;
 Wed, 14 Oct 2020 22:41:51 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1602708111; 
 s=20200222-6h9o; d=idiocy.org; i=alan@HIDDEN;
 h=Date:From:To:Cc:Subject:Message-ID:References:MIME-Version:Content-Type:In-Reply-To;
 l=345; bh=oMUL85odXiN1hUoKU/HND7HT6i7Zd9ms059Rwq8PK2s=;
 b=ZyJfS5mjSLJ7LayzpNd5QPoDCXDPWC6pcJB4IghdaE887VsJR4eQpHyeQqtuPsx7
 Pz1YECm5JVfXQuhFSmkJ7wh2hP/f7IIQMU8Q97+d9glU4hHxRg/Na9sR6Led2kodT1A
 3huUa8mgwZ9078llLYl/T5dKguVjvVCCqiSguJ+DiB7uO5/X7Zf8H2z+6ELO9SUWh6K
 ZaxDDP+s+a141BRXTR46TZ0krB2ZuEwcWMx7pV7fDd9tGlN9q4v5gPwHmzkKkE4OXaC
 sUZiDDlR4tqClQa79Yu3p0nePOoBi96D4pGnVD2bfX0YM9o2XbGwKO1wy8UaEnsQdnT
 5oHNVH2q5w==
Received: by smtp.mailfence.com with ESMTPA ;
 Wed, 14 Oct 2020 22:41:50 +0200 (CEST)
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id 16ECB2025F983C; Wed, 14 Oct 2020 21:41:47 +0100 (BST)
Date: Wed, 14 Oct 2020 21:41:47 +0100
From: Alan Third <alan@HIDDEN>
To: Andrii Kolomoiets <andreyk.mad@HIDDEN>
Subject: Re: bug#43973: 28.0.50; [NS] Two crashes on macOS
Message-ID: <20201014204147.GO60347@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Andrii Kolomoiets <andreyk.mad@HIDDEN>, 43973 <at> debbugs.gnu.org
References: <m2o8l6h933.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <m2o8l6h933.fsf@HIDDEN>
X-Spam-Flag: NO
X-Spam-Status: No, hits=-1.0 required=4.7 symbols=ALL_TRUSTED device=10.2.0.21
X-ContactOffice-Account: com:241649512
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43973
Cc: 43973 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Tue, Oct 13, 2020 at 10:35:28AM +0300, Andrii Kolomoiets wrote:
>     (make-frame `((parent-frame . ,(selected-frame))
>                   (width . 0.5)
>                   (height . 0.5)
>                   (top . 0.5)
>                   (left . 0.5)))|

Out of interest, does the frame need to be smaller than default for
the crash to happen? For example if width is 1 does it still crash?
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43973; Package emacs. Full text available.

Message received at 43973 <at> debbugs.gnu.org:


Received: (at 43973) by debbugs.gnu.org; 14 Oct 2020 10:46:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 14 06:46:58 2020
Received: from localhost ([127.0.0.1]:50177 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSeJ8-0003HV-Dv
	for submit <at> debbugs.gnu.org; Wed, 14 Oct 2020 06:46:58 -0400
Received: from mail-wr1-f50.google.com ([209.85.221.50]:43041)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1kSeJ6-0003HG-T1
 for 43973 <at> debbugs.gnu.org; Wed, 14 Oct 2020 06:46:57 -0400
Received: by mail-wr1-f50.google.com with SMTP id g12so3197301wrp.10
 for <43973 <at> debbugs.gnu.org>; Wed, 14 Oct 2020 03:46:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=VqA9uD8pyEy7F5nY4Ge8D2eatibCxxZRKHecVOL4Ayo=;
 b=oJNf/XC3oZ35jCzgc9wgDuZVmnRZX2S2vLfBe2iIk5oSLFcBa9EyGQRBhZ7OVRk+oJ
 QvWvvA80a8qKZaMuGPWt+IQWQUpE0SR0HvqcpwuFdruKME8RVPxsyNvE87a+RbYLuJ0J
 aQ1+6SwdUmR3sq9oMK3a2PUvh5M3eiOLUePojMAjWFyHjH/8cyl+sYFqteL1JiI0mZn4
 nMtFCRY+L2oDcuF1HSRGZWqyh0KHghM/B3Z2c+DxUlggaaWtNIwkDNqeC9SvePj5sl+K
 CQuKVomDIwljyniL8+MVR6DvB7ui9NeG6eestTwY1b/hFO5cHOFb1tgTn4OHpf5LqvzI
 uWKA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=VqA9uD8pyEy7F5nY4Ge8D2eatibCxxZRKHecVOL4Ayo=;
 b=TpOabBqS1kH4YK+COh8rrrNl7TOWVaQvMw1peERQZc5BtNunKfzus+/zNYlFtcGgH1
 JGjGzM0dq/KpsS352VNF0gWq1QBTDYonpRYoEnQVA4zr7Eseq1UmuqBW0Oup82ImGSWj
 zSpksvB4aKELAdbvPn9/s0JjOcZob0oA5EmCl65qSvn3muyPDlQuG/+Z3hpKZ4UbSFuN
 MMr5keDYNckb9Zl8jRFBOtbZCWrHpBsKYnCUG4M/afkIzylYDIGCyzuzAXOMpZGtQuIB
 hPdsNCPU1HqIyvwNnMhVn72Bcdk7l0s91yW5FE/2HaGL6B7A4mU0HIeu43JOq1jeifoQ
 lAbQ==
X-Gm-Message-State: AOAM533qHCrH07bEurxIeSe5NeK89vxiRxneWSzfyw5Ccm5NV/1onAn7
 vD6kxIOVpzCb44lMpXtFclJ2XBguPLW0Uw==
X-Google-Smtp-Source: ABdhPJwl+/ntiWlX+gCSexSNWi2bV8hy+zWKEDhdG2f9VD3qOdVjYlGp8d10lpDUo4kvuCBU+k+T8Q==
X-Received: by 2002:adf:bb43:: with SMTP id x3mr4772026wrg.250.1602672410825; 
 Wed, 14 Oct 2020 03:46:50 -0700 (PDT)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:487e:c072:bb26:d17c])
 by smtp.gmail.com with ESMTPSA id n2sm4163210wrt.82.2020.10.14.03.46.49
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 14 Oct 2020 03:46:50 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Alan Third <alan@HIDDEN>
Subject: Re: bug#43973: 28.0.50; [NS] Two crashes on macOS
References: <m2o8l6h933.fsf@HIDDEN> <m2imbel1qo.fsf@HIDDEN>
 <e78edf11-772a-4274-8954-6c2b1149a4fa_IMAP_ADDED_MISSING@ORVILLE>
Date: Wed, 14 Oct 2020 12:46:49 +0200
In-Reply-To: <e78edf11-772a-4274-8954-6c2b1149a4fa_IMAP_ADDED_MISSING@ORVILLE>
 (Alan Third's message of "Tue, 13 Oct 2020 21:33:42 +0100")
Message-ID: <m2pn5ljd9i.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43973
Cc: 43973 <at> debbugs.gnu.org, Andrii Kolomoiets <andreyk.mad@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Tue, 13 Oct 2020 21:33:42 +0100, Alan Third <alan@HIDDEN> said:

    Alan> On Tue, Oct 13, 2020 at 03:00:31PM +0200, Robert Pluim wrote:
    >>=20
    >> (lldb) bt
    >> * thread #1, queue =3D 'com.apple.main-thread', stop reason =3D EXC_=
BAD_ACCESS (code=3D1, address=3D0x20)
    >> * frame #0: 0x00007fff6be26678 libobjc.A.dylib`objc_release + 24
    >> frame #1: 0x00000001001f5d1f emacs`-[EmacsImage dealloc](self=3D0x00=
00000102ac8ff0, _cmd=3D<unavailable>) at nsimage.m:286:3 [opt]
    Alan> <snip>
    >>=20
    >> which is nsimage.m:
    >>=20
    >> - (void)dealloc
    >> {
    >> [stippleMask release];
    >> [bmRep release];
    >> [transform release];  <=3D=3D=3D=3D
    >> [super dealloc];
    >> }
    >>=20
    >> Alan?

    Alan> Are you sure it's crashing on that line? That makes no sense as
    Alan> there's nowhere else that can release the transform, and if the i=
mage
    Alan> doesn't have a transform set it should be nil so releasing it wou=
ld be
    Alan> a no-op...=20

If I comment out [transform release]; I can=CA=BCt make it crash.

Robert
--=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43973; Package emacs. Full text available.

Message received at 43973 <at> debbugs.gnu.org:


Received: (at 43973) by debbugs.gnu.org; 14 Oct 2020 08:50:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 14 04:50:41 2020
Received: from localhost ([127.0.0.1]:50023 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kScUb-0006Nx-4I
	for submit <at> debbugs.gnu.org; Wed, 14 Oct 2020 04:50:41 -0400
Received: from mail-lf1-f41.google.com ([209.85.167.41]:34759)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyk.mad@HIDDEN>) id 1kScUY-0006Nh-Km
 for 43973 <at> debbugs.gnu.org; Wed, 14 Oct 2020 04:50:39 -0400
Received: by mail-lf1-f41.google.com with SMTP id z2so2852923lfr.1
 for <43973 <at> debbugs.gnu.org>; Wed, 14 Oct 2020 01:50:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=16wqzY7tr+lUAsHvJbxAqoHcPDQV40+Imgg3tY4tsb0=;
 b=Bxiets3gpL7q1ejc4DQBbiC28k1atR0w6EK90yYItetNjFH+KgebAYKvbLYnfq3oTp
 gJIVeZlkHCp1n3+XqZyMsePrfSpc7xKOuv/6Qj8zycCV3KKtg8ZjF6QoixH895dfOJTK
 KBWm0YVmpyyJGpvVMZRHDUJxmZZhHiTlaolb9NwrI3FuW5Fhjgbq/7rfYFVI8zy1TcXO
 SJ41jZzJcOVeBXJrj0lpGVmxHWcBL7zjIA43wsq9sbRtiP77WqGsigEvi0lrHaoZHdCi
 roXPzkYKD+9QQyPvsPMLTU1ywR6OAiK07tjYLp3Zr5301h64FVZxOnIXc20qCgbOwMJB
 xTWQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=16wqzY7tr+lUAsHvJbxAqoHcPDQV40+Imgg3tY4tsb0=;
 b=B56xxw6P4E8ViToX/tQ2EnEK24z9kYCBy+ApFkSejtN3lPHtfH8RLkDp0DtNlWV+ru
 yAgpf1iy5j9rnmR3zQAKdNPuR9GGUoOv7gnneV8bB5VwwFTlIx1O+9bAVRQvCc3iITxQ
 1EWTI+g0DzWivDvgemH8hF7SHguTMPhTUoy0io7WxpVT7Oe1z7jtkeVyQt2Ex2ANNcLq
 oMSrOCPfvpUeY4IxHQDMHSjTT2zfdu5KVUEHrmtxvpJr/FH1pWqEGwS+In+Eg9qaGBd8
 vnweo9BAvuwvXmg6zB5soLLq2iiJBBHWCFNIa8x0/2bWCez+0IoEgZO5ExLEYKo19MpP
 PVJw==
X-Gm-Message-State: AOAM532OY9sKiVa+bpg5kKgvWDTlNzJ38BFHV1GqMgYc9CRt/jrPbKR7
 GEVTHFxFJBF4qanC0Ub0uUp1H8udLd4=
X-Google-Smtp-Source: ABdhPJz72ZtEH9Eyo2JruI/9nuwg4fBzBCdJfe+gStSfXFlINsM3xvtFl9yOeLqjJhS1ikOFs+e8wA==
X-Received: by 2002:ac2:58f8:: with SMTP id v24mr962634lfo.520.1602665432207; 
 Wed, 14 Oct 2020 01:50:32 -0700 (PDT)
Received: from muffinmac (102-26-207-82.ip.ukrtel.net. [82.207.26.102])
 by smtp.gmail.com with ESMTPSA id 131sm873577lff.198.2020.10.14.01.50.30
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 14 Oct 2020 01:50:31 -0700 (PDT)
From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
To: Alan Third <alan@HIDDEN>
Subject: Re: bug#43973: 28.0.50; [NS] Two crashes on macOS
References: <m2o8l6h933.fsf@HIDDEN>
 <20201013190946.GK60347@HIDDEN>
Date: Wed, 14 Oct 2020 11:50:29 +0300
In-Reply-To: <20201013190946.GK60347@HIDDEN> (Alan Third's
 message of "Tue, 13 Oct 2020 20:09:46 +0100")
Message-ID: <m28sc9ur6y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43973
Cc: 43973 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Alan Third <alan@HIDDEN> writes:

> modified   src/nsterm.m
> @@ -3048,6 +3048,9 @@ so some key presses (TAB) are swallowed by the system.  */
>        if (!face)
>          face = FRAME_DEFAULT_FACE (f);
>  
> +      if (!face)
> +        return;
> +
>        ns_focus (f, &frame_rect, 1);
>        [ns_lookup_indexed_color (NS_FACE_BACKGROUND (face), f) set];
>        for (int i = 0; i < 4 ; i++)
>
>
> "fixes" it, but leaves Emacs in a bit of a strange state where I can
> only see one frame and it's incredibly slow.

Was working in Emacs under lldb for almost two days to catch my random
crash and here it is:

Process 78804 stopped
* thread #1, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=1, address=0xc0)
    frame #0: 0x0000000100456e88 emacs`ns_clear_under_internal_border + 424
emacs`ns_clear_under_internal_border:
->  0x100456e88 <+424>: movq   0xc0(%rax), %rdi
    0x100456e8f <+431>: movq   -0x38(%rbp), %rsi
    0x100456e93 <+435>: callq  0x1004375a0               ; ns_lookup_indexed_color
    0x100456e98 <+440>: movq   0xce5a1(%rip), %rsi       ; "set"
Target 0: (emacs) stopped.
(lldb) bt
* thread #1, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=1, address=0xc0)
  * frame #0: 0x0000000100456e88 emacs`ns_clear_under_internal_border + 424
    frame #1: 0x00000001000afe95 emacs`clear_garbaged_frames at xdisp.c:12110:17

Debug map object file for nsterm.o is ignored because it has changed, so
backtrace may be not so useful.

Going to work in Emacs under lldb with your patch applied to see if it
will crash again.

Thanks!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43973; Package emacs. Full text available.

Message received at 43973 <at> debbugs.gnu.org:


Received: (at 43973) by debbugs.gnu.org; 14 Oct 2020 08:07:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 14 04:07:41 2020
Received: from localhost ([127.0.0.1]:49979 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSboz-0005Kv-Ia
	for submit <at> debbugs.gnu.org; Wed, 14 Oct 2020 04:07:41 -0400
Received: from mail-lj1-f170.google.com ([209.85.208.170]:42492)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyk.mad@HIDDEN>) id 1kSbow-0005Kg-EQ
 for 43973 <at> debbugs.gnu.org; Wed, 14 Oct 2020 04:07:40 -0400
Received: by mail-lj1-f170.google.com with SMTP id h20so2179506lji.9
 for <43973 <at> debbugs.gnu.org>; Wed, 14 Oct 2020 01:07:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=hLIihv3jzNCOa4u8W1w74ohI8BOV1mzDPjO8BwmWDDc=;
 b=sG3AwofmV+YtUTe+Izc3eouXe+6FiRCVhol8V1R8OnoiSP6885Q5Ch823Juo74qyrw
 6S/Su2/ZbwbbCTZYPxBFPZFKJcsTgvDfKuiuDvD5MeWgPYFXtamvmVYgAo3yc3rzGr0N
 3xD+iQm9WRGji5GQZJ6lGEHAfRDbYohzDp5LQlcOyc3f3+fEHMqxGPhBblxZWCy0O8be
 t1oqlvWooDPPYpEKoLsxFZ9Vbj7dNAUM6cniZL1piw80wOs6IBQkqRQgrDy4Ifh43rdf
 yYJ0dsbI0ySoRo+ojX4ofhxZQ9gtcm4PNzg0c4HEjlVpJ2g121wPbYxZowCdf86d4/Nb
 ww2w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=hLIihv3jzNCOa4u8W1w74ohI8BOV1mzDPjO8BwmWDDc=;
 b=j41IDnL8eR9+nTHLkVh+ZyMqJKkia8rgaoe33FUMHG53Roj7CdlfmNnmtwHegyRnt1
 5rKiMrL7rthr4gl2lDYQGpLzwnxbBASBB+8r9tCqGj0VEHBoTBp/azYdZYU/NpOiM29R
 d2z2p7+uHodrEYDxnLmhedls7YY8hK6CSLOOFzZdZPNZ9ZG8qgEOgY+fH/t8sks7oDr9
 eHeOqnSMdwWQernVhLpibSwo27iOYePZ6dctUb9a52x1vWAzhmsY39w3yBqTRah48G66
 DeqDxIfexJHYIV2Z9OR9yDDa9/+2kL486JXr/oD/SLccYVPXFiJ+M1BKsCnI9Y6umqyz
 BDKQ==
X-Gm-Message-State: AOAM530V5SmXIQaZVGAWGPmHrwRihGf+rWzdLwKynAYy2AMMxTB/0TL/
 Lr0IMU3mj3rv7WtzhgfGPMEyhphwTIE=
X-Google-Smtp-Source: ABdhPJxG2hL8b9YomtY28pUwt9AauMDFcx82p4ARRhA8wliceIbtJT7Zu0fh+zDNQpLXF3m2XBa/9Q==
X-Received: by 2002:a2e:b169:: with SMTP id a9mr1467654ljm.84.1602662852059;
 Wed, 14 Oct 2020 01:07:32 -0700 (PDT)
Received: from muffinmac (102-26-207-82.ip.ukrtel.net. [82.207.26.102])
 by smtp.gmail.com with ESMTPSA id r24sm882199ljk.112.2020.10.14.01.07.30
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 14 Oct 2020 01:07:31 -0700 (PDT)
From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
To: Alan Third <alan@HIDDEN>
Subject: Re: bug#43973: 28.0.50; [NS] Two crashes on macOS
References: <m2o8l6h933.fsf@HIDDEN>
 <20201013190946.GK60347@HIDDEN>
Date: Wed, 14 Oct 2020 11:07:29 +0300
In-Reply-To: <20201013190946.GK60347@HIDDEN> (Alan Third's
 message of "Tue, 13 Oct 2020 20:09:46 +0100")
Message-ID: <m2v9fdfcxq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43973
Cc: 43973 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Alan Third <alan@HIDDEN> writes:

> On Tue, Oct 13, 2020 at 10:35:28AM +0300, Andrii Kolomoiets wrote:
>> 1. M-x tool-bar-mode
>> 2. Evaluate
>>     (let ((params `((parent-frame . ,(selected-frame))
>>                     (undecorated . t))))
>>       (dotimes (_z 100)
>>         (set-face-background 'internal-border "black"
>>                              (make-frame params))))
>> 3. Move the frame
>
> I can replicate this one, every time.
>
> +      if (!face)
> +        return;
>
> "fixes" it, but leaves Emacs in a bit of a strange state where I can
> only see one frame and it's incredibly slow.

It's because all child frames are undecorated.  Just remove
'(undecorated . t)' from 'params' and you'll see all the frames.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43973; Package emacs. Full text available.

Message received at 43973 <at> debbugs.gnu.org:


Received: (at 43973) by debbugs.gnu.org; 13 Oct 2020 20:33:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 13 16:33:57 2020
Received: from localhost ([127.0.0.1]:49016 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSQzd-0002Xp-9h
	for submit <at> debbugs.gnu.org; Tue, 13 Oct 2020 16:33:57 -0400
Received: from mailout-l3b-97.contactoffice.com ([212.3.242.97]:47858)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1kSQzZ-0002XZ-N4
 for 43973 <at> debbugs.gnu.org; Tue, 13 Oct 2020 16:33:56 -0400
Received: from smtpauth2.co-bxl (smtpauth2.co-bxl [10.2.0.24])
 by mailout-l3b-97.contactoffice.com (Postfix) with ESMTP id 25BEF1166;
 Tue, 13 Oct 2020 22:33:47 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1602621227; 
 s=20200222-6h9o; d=idiocy.org; i=alan@HIDDEN;
 h=Date:From:To:Cc:Subject:Message-ID:References:MIME-Version:Content-Type:In-Reply-To;
 l=895; bh=5yfLe/Tcun9PijuniSpqdg9zGJKZcD6weqvp3QGIjqw=;
 b=e+j5d6psAvA9IyRsN3H3aKlWS985SaC5tZgb5oDgnm247ryytetMDtGfBHWjlRlI
 j4yIa2jeb5tdIuDMPzY4hzpacOghVymyDRNmaF/sZlAT86PAxTaFAKKv+6eor8bo7k/
 ZkBPU8iF3F/8Ts9Op+uMzF7ykPKVx3v6pzmgGG/HGB5Cys6xitKppywcQXVVBJtmWJa
 CJFy+kntEHpTKQWQWZO64ElwaAB5NimUu847XsYK+T0HRmDFuZRQr5j0/PQEWs8xhAe
 785C/xJI7tyv2WFNE7YcbonPb1VdJ/lUo8Ric0hNa4UuipHi3HFmQ+7s2GrNhWmmFX+
 oGcRa4xjFg==
Received: by smtp.mailfence.com with ESMTPA ;
 Tue, 13 Oct 2020 22:33:44 +0200 (CEST)
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id 143092025F7911; Tue, 13 Oct 2020 21:33:43 +0100 (BST)
Date: Tue, 13 Oct 2020 21:33:42 +0100
From: Alan Third <alan@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#43973: 28.0.50; [NS] Two crashes on macOS
Message-ID: <e78edf11-772a-4274-8954-6c2b1149a4fa_IMAP_ADDED_MISSING@ORVILLE>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Robert Pluim <rpluim@HIDDEN>,
 Andrii Kolomoiets <andreyk.mad@HIDDEN>, 43973 <at> debbugs.gnu.org
References: <m2o8l6h933.fsf@HIDDEN>
 <m2imbel1qo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <m2imbel1qo.fsf@HIDDEN>
X-Spam-Flag: NO
X-Spam-Status: No, hits=-2.9 required=4.7 symbols=ALL_TRUSTED,
 BAYES_00 device=10.2.0.21
X-ContactOffice-Account: com:241649512
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43973
Cc: 43973 <at> debbugs.gnu.org, Andrii Kolomoiets <andreyk.mad@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Tue, Oct 13, 2020 at 03:00:31PM +0200, Robert Pluim wrote:
> 
> (lldb) bt
> * thread #1, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=1, address=0x20)
>   * frame #0: 0x00007fff6be26678 libobjc.A.dylib`objc_release + 24
>     frame #1: 0x00000001001f5d1f emacs`-[EmacsImage dealloc](self=0x0000000102ac8ff0, _cmd=<unavailable>) at nsimage.m:286:3 [opt]
<snip>
> 
> which is nsimage.m:
> 
> - (void)dealloc
> {
>   [stippleMask release];
>   [bmRep release];
>   [transform release];  <====
>   [super dealloc];
> }
> 
> Alan?

Are you sure it's crashing on that line? That makes no sense as
there's nowhere else that can release the transform, and if the image
doesn't have a transform set it should be nil so releasing it would be
a no-op... 

But even if it's a neighbouring line, I can't see why that would be
happening...

I have no ideas.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43973; Package emacs. Full text available.

Message received at 43973 <at> debbugs.gnu.org:


Received: (at 43973) by debbugs.gnu.org; 13 Oct 2020 19:09:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 13 15:09:58 2020
Received: from localhost ([127.0.0.1]:48868 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSPgM-0000Pz-IU
	for submit <at> debbugs.gnu.org; Tue, 13 Oct 2020 15:09:58 -0400
Received: from wilbur.contactoffice.com ([212.3.242.68]:33492)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1kSPgK-0000Pj-Aq
 for 43973 <at> debbugs.gnu.org; Tue, 13 Oct 2020 15:09:57 -0400
Received: from smtpauth2.co-bxl (smtpauth2.co-bxl [10.2.0.24])
 by wilbur.contactoffice.com (Postfix) with ESMTP id C2C6B135B;
 Tue, 13 Oct 2020 21:09:50 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1602616190; 
 s=20200222-6h9o; d=idiocy.org; i=alan@HIDDEN;
 h=Date:From:To:Cc:Subject:Message-ID:References:MIME-Version:Content-Type:In-Reply-To;
 l=2237; bh=IaU4nJ448X/JnEfezL5Pa/h6NRVzivHQeck7MNP2j8A=;
 b=OtaoryVrXJB6pI+txfHimLGEW1SVES0aR17SixqVPJuxSISnifiS+ct14giSx1Ib
 RisLTPIuJvN0p16wNTEs1ef26f1m229Re3t4o8NHJ/RGR/uGAGvyTpU39fOF0tU0yb4
 2irKWleSI+HBVZJPfsDIWTXig78yfj84wvRL6T3/fpvPYBTrZ1SJh5eb4oRCv9XWSjr
 UtPj7IGM2loJvN8KM5KjOM0D+cyq+WbA28MT6EmMZaavEw4ag6RPsgaZF4343RjHFkD
 Du6ENugnjF9ZW5R9zd5Vdce1+lwbMXg2ipLiMtkFzwmiGDQtGc10PD2FkL0qhxWPQBq
 ETl+wys5Eg==
Received: by smtp.mailfence.com with ESMTPA ;
 Tue, 13 Oct 2020 21:09:47 +0200 (CEST)
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id A8B502025F5A25; Tue, 13 Oct 2020 20:09:46 +0100 (BST)
Date: Tue, 13 Oct 2020 20:09:46 +0100
From: Alan Third <alan@HIDDEN>
To: Andrii Kolomoiets <andreyk.mad@HIDDEN>
Subject: Re: bug#43973: 28.0.50; [NS] Two crashes on macOS
Message-ID: <20201013190946.GK60347@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Andrii Kolomoiets <andreyk.mad@HIDDEN>, 43973 <at> debbugs.gnu.org
References: <m2o8l6h933.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <m2o8l6h933.fsf@HIDDEN>
X-Spam-Flag: NO
X-Spam-Status: No, hits=-2.9 required=4.7 symbols=ALL_TRUSTED,
 BAYES_00 device=10.2.0.21
X-ContactOffice-Account: com:241649512
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43973
Cc: 43973 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Tue, Oct 13, 2020 at 10:35:28AM +0300, Andrii Kolomoiets wrote:
> Update to recent trunk brought me everyone's favorite random crashes.
> 
> In an attempt to find the recipe for reproduce the bug somehow, I spot
> two crashes that I actually can reproduce in 'emacs -Q'.
> 
> The first one is more "stable":
> 
> With this code in scratch and point at '|':
> 
>     (make-frame `((parent-frame . ,(selected-frame))
>                   (width . 0.5)
>                   (height . 0.5)
>                   (top . 0.5)
>                   (left . 0.5)))|
> 
> 1. C-x C-e
> 2. s-w
> 
> Repeating these two steps 3-5 times leads to crash.  Most of the time
> the only meaningfull record in the 'bt' is:
> 
> Thread 3 received signal SIGSEGV, Segmentation fault.
> 0x00007fff6fa97678 in ?? ()
> (gdb) bt full
> #0  0x00007fff6fa97678 in ?? ()
> No symbol table info available.
> #1  0x0000000100476338 in -[EmacsImage dealloc] (self=0x1014c77f0, _cmd=0x7fff7afcdc58) at nsimage.m:286
> No locals.
> 
> It may be tool bar related, because Emacs is not crashing with
> tool-bar-mode turned of.

This is almost definitely the result of some image being released
twice. We've had a few crash reports where this has happened in the
past, but never actually managed to work out what's causing it.

I can't replicate the crash, fwiw.

> The second one is not reproducible every time:
> 
> 1. M-x tool-bar-mode
> 2. Evaluate
>     (let ((params `((parent-frame . ,(selected-frame))
>                     (undecorated . t))))
>       (dotimes (_z 100)
>         (set-face-background 'internal-border "black"
>                              (make-frame params))))
> 3. Move the frame

I can replicate this one, every time.

I'm not sure exactly what's going on, but it's resulting in face ==
NULL, so

modified   src/nsterm.m
@@ -3048,6 +3048,9 @@ so some key presses (TAB) are swallowed by the system.  */
       if (!face)
         face = FRAME_DEFAULT_FACE (f);
 
+      if (!face)
+        return;
+
       ns_focus (f, &frame_rect, 1);
       [ns_lookup_indexed_color (NS_FACE_BACKGROUND (face), f) set];
       for (int i = 0; i < 4 ; i++)


"fixes" it, but leaves Emacs in a bit of a strange state where I can
only see one frame and it's incredibly slow.

I suspect Emacs thinks there are 101 frames open but for whatever
reason the OS hasn't opened them...
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43973; Package emacs. Full text available.

Message received at 43973 <at> debbugs.gnu.org:


Received: (at 43973) by debbugs.gnu.org; 13 Oct 2020 13:00:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 13 09:00:41 2020
Received: from localhost ([127.0.0.1]:45602 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSJuz-0002zH-03
	for submit <at> debbugs.gnu.org; Tue, 13 Oct 2020 09:00:41 -0400
Received: from mail-wr1-f45.google.com ([209.85.221.45]:40081)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1kSJux-0002z4-E7
 for 43973 <at> debbugs.gnu.org; Tue, 13 Oct 2020 09:00:40 -0400
Received: by mail-wr1-f45.google.com with SMTP id h5so13857610wrv.7
 for <43973 <at> debbugs.gnu.org>; Tue, 13 Oct 2020 06:00:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version; bh=zVEJVW9auXJQBvLqq3TQQMwAwr4Rc+VLF9LuEeczW4Y=;
 b=YJ1xubPnNGM5L1CdjKbmHrj6tjSaKGfcCV7vEPRmIjUCNEfZsjYA0mj0fPkmzc683C
 753WL2hrP4Gfkm5J3dq1FmuGsmmuJb0LFmgMO5vKfiwPiea7eyb684sgxEpso72UorAB
 jBaYSgAKjUrVctp+izmZQIBVdQfk2W+JeA6Insp7dHS8hX0qulwmUvF7Xk99xniXIkTj
 R9qkS/WQOKC3iA0DOgutevPB59OqQD/OBOs84eFpjBcYbm+cPqed0x7tY5MFBB7gcGyg
 BevitaSOxh32KK647nLzX6haW0CJKXzVBGk8dKNOax4GGxeHPsfYdii6MYyp8sL1eN3U
 zrdA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version;
 bh=zVEJVW9auXJQBvLqq3TQQMwAwr4Rc+VLF9LuEeczW4Y=;
 b=Zn6glUGvudxrAzkjKsyxIgQHonIbHf3o/TqNbZCE6zehthMa5D+7yREQdLgRxADekt
 4SO39pVt26rycRKE0oWYz4I/HKsNXDvn7DfSszDGR3kKmxU28HzH+/48kJqkz3agfiUc
 deRNkxnQ3hNSQagy1hKmCfAus+rcZiowYVyUWh89/G/P91JAT7C7K8rDuxGjUg98wTYZ
 cA5wpGBr4zVUNqvbiK+nF0jyL28oAzHuctbak4M8gSuG9zplEWNG66NuWKVaYo2AgCIv
 GIDV3MoK90FF84u4zM+6MT8og3IBiu8rXo7GxRNKt1W/0CR5Aej4Q9lMalUTGTi2tKa3
 YnAw==
X-Gm-Message-State: AOAM531l2jO3FSrVulvsnfsBxH1bNE0LrM1VW76gxFAQEADtjcKQ7xLY
 pdNv1ZzsWAvelTFCUYzm7aLgqzv7/3E=
X-Google-Smtp-Source: ABdhPJxGm1OTIz+j5t5LtjAy8MTYL6F2DmVqsrYvCSI3Kqady/AvkmyEEev/Xg1Ynv9pRCH9YDzs4A==
X-Received: by 2002:adf:de89:: with SMTP id w9mr12828626wrl.212.1602594032981; 
 Tue, 13 Oct 2020 06:00:32 -0700 (PDT)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:cb0:6c9:2546:798c])
 by smtp.gmail.com with ESMTPSA id i8sm9778567wmd.14.2020.10.13.06.00.31
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 13 Oct 2020 06:00:32 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Andrii Kolomoiets <andreyk.mad@HIDDEN>
Subject: Re: bug#43973: 28.0.50; [NS] Two crashes on macOS
References: <m2o8l6h933.fsf@HIDDEN>
Date: Tue, 13 Oct 2020 15:00:31 +0200
In-Reply-To: <m2o8l6h933.fsf@HIDDEN> (Andrii Kolomoiets's message of "Tue, 
 13 Oct 2020 10:35:28 +0300")
Message-ID: <m2imbel1qo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43973
Cc: 43973 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Tue, 13 Oct 2020 10:35:28 +0300, Andrii Kolomoiets <andreyk.mad@HIDDEN> said:

    Andrii> Update to recent trunk brought me everyone's favorite random crashes.
    Andrii> In an attempt to find the recipe for reproduce the bug somehow, I spot
    Andrii> two crashes that I actually can reproduce in 'emacs -Q'.

    Andrii> The first one is more "stable":

    Andrii> With this code in scratch and point at '|':

    Andrii>     (make-frame `((parent-frame . ,(selected-frame))
    Andrii>                   (width . 0.5)
    Andrii>                   (height . 0.5)
    Andrii>                   (top . 0.5)
    Andrii>                   (left . 0.5)))|

    Andrii> 1. C-x C-e
    Andrii> 2. s-w

    Andrii> Repeating these two steps 3-5 times leads to crash.  Most of the time
    Andrii> the only meaningfull record in the 'bt' is:

    Andrii> Thread 3 received signal SIGSEGV, Segmentation fault.
    Andrii> 0x00007fff6fa97678 in ?? ()
    Andrii> (gdb) bt full
    Andrii> #0  0x00007fff6fa97678 in ?? ()
    Andrii> No symbol table info available.
    Andrii> #1  0x0000000100476338 in -[EmacsImage dealloc] (self=0x1014c77f0, _cmd=0x7fff7afcdc58) at nsimage.m:286
    Andrii> No locals.

    Andrii> It may be tool bar related, because Emacs is not crashing with
    Andrii> tool-bar-mode turned of.

I think you may be right:

(lldb) bt
* thread #1, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=1, address=0x20)
  * frame #0: 0x00007fff6be26678 libobjc.A.dylib`objc_release + 24
    frame #1: 0x00000001001f5d1f emacs`-[EmacsImage dealloc](self=0x0000000102ac8ff0, _cmd=<unavailable>) at nsimage.m:286:3 [opt]
    frame #2: 0x00007fff6be2beb3 libobjc.A.dylib`objc_object::sidetable_release(bool) + 229
    frame #3: 0x00007fff301e46e1 AppKit`-[NSMenuItem dealloc] + 108
    frame #4: 0x00007fff304523f8 AppKit`-[NSToolbarItem dealloc] + 110
    frame #5: 0x00007fff32f072a5 CoreFoundation`__RELEASE_OBJECTS_IN_THE_ARRAY__ + 118
    frame #6: 0x00007fff32f071e8 CoreFoundation`-[__NSArrayM dealloc] + 279
    frame #7: 0x00007fff305b1a99 AppKit`-[NSToolbarClippedItemsIndicator dealloc] + 84
    frame #8: 0x00007fff6be42054 libobjc.A.dylib`AutoreleasePoolPage::releaseUntil(objc_object**) + 134
    frame #9: 0x00007fff6be26dba libobjc.A.dylib`objc_autoreleasePoolPop + 175
    frame #10: 0x00007fff32f69335 CoreFoundation`__CFRUNLOOP_IS_CALLING_OUT_TO_AN_OBSERVER_CALLBACK_FUNCTION__ + 23
    frame #11: 0x00007fff32f69267 CoreFoundation`__CFRunLoopDoObservers + 457
    frame #12: 0x00007fff32f68805 CoreFoundation`__CFRunLoopRun + 874
    frame #13: 0x00007fff32f67e3e CoreFoundation`CFRunLoopRunSpecific + 462
    frame #14: 0x00007fff31b94abd HIToolbox`RunCurrentEventLoopInMode + 292
    frame #15: 0x00007fff31b946f4 HIToolbox`ReceiveNextEventCommon + 359
    frame #16: 0x00007fff31b94579 HIToolbox`_BlockUntilNextEventMatchingListInModeWithFilter + 64
    frame #17: 0x00007fff301da039 AppKit`_DPSNextEvent + 883
    frame #18: 0x00007fff301d8880 AppKit`-[NSApplication(NSEvent) _nextEventMatchingEventMask:untilDate:inMode:dequeue:] + 1352
    frame #19: 0x00007fff301ca58e AppKit`-[NSApplication run] + 658
    frame #20: 0x00000001001d708d emacs`-[EmacsApp run](self=0x0000000102a10a70, _cmd=<unavailable>) at nsterm.m:5765:9 [opt]
    frame #21: 0x00000001001e3a1e emacs`ns_read_socket(terminal=<unavailable>, hold_quit=<unavailable>) at nsterm.m:4741:11 [opt]
    frame #22: 0x00000001000d11cd emacs`gobble_input at keyboard.c:6889:17 [opt]

which is nsimage.m:

- (void)dealloc
{
  [stippleMask release];
  [bmRep release];
  [transform release];  <====
  [super dealloc];
}

Alan?

    Andrii> The second one is not reproducible every time:

    Andrii> 1. M-x tool-bar-mode
    Andrii> 2. Evaluate
    Andrii>     (let ((params `((parent-frame . ,(selected-frame))
    Andrii>                     (undecorated . t))))
    Andrii>       (dotimes (_z 100)
    Andrii>         (set-face-background 'internal-border "black"
    Andrii>                              (make-frame params))))
    Andrii> 3. Move the frame

And this I see as well, however lldb does warn us:

2020-10-13 14:54:46.765446+0200 emacs[65592:8296279] [Window] WARNING: NSWindow has detected an excessive live window count of 101. Window 0x2e668 of class 'EmacsWindow' created after passing the threshold of 100. This window is not necessarily the cause, and this warning will only be shown once per window class.

    Andrii> Thread 3 received signal SIGSEGV, Segmentation fault.
    Andrii> 0x0000000100456e88 in ns_clear_under_internal_border (f=0x13cedafe8) at nsterm.m:3052
    Andrii> 3052	      [ns_lookup_indexed_color (NS_FACE_BACKGROUND (face), f) set];
    Andrii> (gdb) bt full

I suspect some initialization has been skipped somewhere:

    frame #0: 0x00000001001e81bc emacs`ns_clear_under_internal_border(f=0x0000000132288150) at nsterm.m:3052:33 [opt]
   3049         face = FRAME_DEFAULT_FACE (f);
   3050
   3051       ns_focus (f, &frame_rect, 1);
-> 3052       [ns_lookup_indexed_color (NS_FACE_BACKGROUND (face), f) set];
   3053       for (int i = 0; i < 4 ; i++)
   3054         {
   3055           NSDivideRect (frame_rect, &edge_rect, &frame_rect, border_width, edge[i]);
Target 0: (emacs) stopped.
(lldb) p face
(face *) $0 = 0x0000000000000000

Robert
-- 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43973; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Oct 2020 07:35:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 13 03:35:38 2020
Received: from localhost ([127.0.0.1]:45046 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSEqQ-000171-Ij
	for submit <at> debbugs.gnu.org; Tue, 13 Oct 2020 03:35:38 -0400
Received: from lists.gnu.org ([209.51.188.17]:49606)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyk.mad@HIDDEN>) id 1kSEqO-00016u-PY
 for submit <at> debbugs.gnu.org; Tue, 13 Oct 2020 03:35:37 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41320)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <andreyk.mad@HIDDEN>)
 id 1kSEqO-0007NN-H0
 for bug-gnu-emacs@HIDDEN; Tue, 13 Oct 2020 03:35:36 -0400
Received: from mail-lf1-x141.google.com ([2a00:1450:4864:20::141]:43244)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <andreyk.mad@HIDDEN>)
 id 1kSEqM-0005Mu-7C
 for bug-gnu-emacs@HIDDEN; Tue, 13 Oct 2020 03:35:36 -0400
Received: by mail-lf1-x141.google.com with SMTP id l28so5720688lfp.10
 for <bug-gnu-emacs@HIDDEN>; Tue, 13 Oct 2020 00:35:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=ZgdKjjb1DlMiFCHlc4BBafspVMcHQIIKySnNkjZ+7l0=;
 b=KZMelEsn/KKTJEFAoQGqR2dGXRvJPi2pzTogHq/bLYKnk3NxvchI+Q++XZ7qw7eaDb
 lca67oyHayPXPRAZrnK3c2RI+NRe9KPBz1UfGr8lfxoklB17BjcBoBvW836ssuaU+Po9
 6+rVSqjvqMi1TrNtbWyX6bWZ32cV3eGcnwevSCgzSYfbcS3lih2SEHDgbZnShLSTU73z
 DlAROB3fxNRQOIVP6LZBUZDWmTB+tbB2JM5gvztKR8SgkCow4kFGFJtEv78ER0fr+QK+
 yFWEmQ/o+gnEuSZ0+IN9G4Hn4hOgZqKY1zjP6igVin2fd2OyU5U0yWlMtf3JJz/n/GZs
 B9Rw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=ZgdKjjb1DlMiFCHlc4BBafspVMcHQIIKySnNkjZ+7l0=;
 b=bFFf8nj5DL7NZSERXDbZnjkea3BWWEXS4w9XJk8J/xHYukhctryc3D9oMZA+lgMQMO
 NgUpTxncDsgSsSFFQR92Hn2W93iyg8qSSaIHSicYnWDYzKKSQOXfxXRn6oma9Ce0an1t
 2d+hjVoeQ0TEccHWu8YGAPF8ULuyBQTwrumWDD/R0s8jDqmtFY1DInRbfacM/x0HUqx7
 aY4lqoP4OFr2tWsU01XRd/VBDdjg/GURJzPDBnqLKlfkNDLhu1wnplNJ2jocaaikmG2Q
 PmjERWUJ0o8JCQgbCG8J/VDVTGxauDlgeaGd3F3h5xZUWevQYE8ledt8C9GdhOufxDuP
 Jwlg==
X-Gm-Message-State: AOAM532EGJce6/I2rNLL/BeguaU2fhrYzzTFxi+L2FvZgO2uFj3Ght2u
 eiLQJbRDOMUem7BOpZVmyvc4n+wHXBc=
X-Google-Smtp-Source: ABdhPJw9j65H3myQ6QvIXCeeiw5+iseEXVAS7c2M5UXPK1ODmhAZ8kVZyMyYaox6O5jc/3Ca1I4PIg==
X-Received: by 2002:a19:38c:: with SMTP id 134mr8588415lfd.564.1602574530489; 
 Tue, 13 Oct 2020 00:35:30 -0700 (PDT)
Received: from muffinmac ([91.206.110.168])
 by smtp.gmail.com with ESMTPSA id p21sm4885533lji.106.2020.10.13.00.35.29
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 13 Oct 2020 00:35:29 -0700 (PDT)
From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; [NS] Two crashes on macOS
Date: Tue, 13 Oct 2020 10:35:28 +0300
Message-ID: <m2o8l6h933.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2a00:1450:4864:20::141;
 envelope-from=andreyk.mad@HIDDEN; helo=mail-lf1-x141.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Update to recent trunk brought me everyone's favorite random crashes.

In an attempt to find the recipe for reproduce the bug somehow, I spot
two crashes that I actually can reproduce in 'emacs -Q'.

The first one is more "stable":

With this code in scratch and point at '|':

    (make-frame `((parent-frame . ,(selected-frame))
                  (width . 0.5)
                  (height . 0.5)
                  (top . 0.5)
                  (left . 0.5)))|

1. C-x C-e
2. s-w

Repeating these two steps 3-5 times leads to crash.  Most of the time
the only meaningfull record in the 'bt' is:

Thread 3 received signal SIGSEGV, Segmentation fault.
0x00007fff6fa97678 in ?? ()
(gdb) bt full
#0  0x00007fff6fa97678 in ?? ()
No symbol table info available.
#1  0x0000000100476338 in -[EmacsImage dealloc] (self=0x1014c77f0, _cmd=0x7fff7afcdc58) at nsimage.m:286
No locals.

It may be tool bar related, because Emacs is not crashing with
tool-bar-mode turned of.


The second one is not reproducible every time:

1. M-x tool-bar-mode
2. Evaluate
    (let ((params `((parent-frame . ,(selected-frame))
                    (undecorated . t))))
      (dotimes (_z 100)
        (set-face-background 'internal-border "black"
                             (make-frame params))))
3. Move the frame

Thread 3 received signal SIGSEGV, Segmentation fault.
0x0000000100456e88 in ns_clear_under_internal_border (f=0x13cedafe8) at nsterm.m:3052
3052	      [ns_lookup_indexed_color (NS_FACE_BACKGROUND (face), f) set];
(gdb) bt full
#0  0x0000000100456e88 in ns_clear_under_internal_border (f=0x13cedafe8) at nsterm.m:3052
        frame_rect = {origin = {x = 0, y = 0}, size = {width = 595, height = 508}}
        face_id = 15
        border_width = 2
        view = 0x10bfb2b70
        edge_rect = {origin = {x = 0, y = 6.9529314086768113e-310}, size = {width = 2.6133677750952917e-314,
            height = 2.6133668897296544e-314}}
        edge = {NSRectEdgeMinX, NSRectEdgeMinY, NSRectEdgeMaxX, NSRectEdgeMaxY}
        face = 0x0
#1  0x0000000100067b8d in redisplay_internal () at xdisp.c:16014
        gcscrollbars = false
        f_redisplay_flag = false
        f = 0x13cedafe8
        w = 0x105046430
        sw = 0x105046430
        fr = 0x10503b430
        pending = false
        must_finish = true
        match_p = true
        tlbufpos = {charpos = 304, bytepos = 304}
        tlendpos = {charpos = 0, bytepos = 0}
        number_of_visible_frames = 101
        count = 3
        sf = 0x10503b430
        polling_stopped_here = true
        tail = {i = 0x102227d93}
        frame = {i = 0x13cedafed}
        hscroll_retries = 0
        garbaged_frame_retries = 0
        consider_all_windows_p = true
        update_miniwindow_p = false
#2  0x000000010006ceb9 in redisplay () at xdisp.c:15159
No locals.

(Just for the record: in my usual workflow I don't create that much
child frames)

Thanks! And hope Emacs is crashing on your side too ;)

In GNU Emacs 28.0.50 (build 3, x86_64-apple-darwin19.6.0, NS appkit-1894.60 Version 10.15.6 (Build 19G2021))
Windowing system distributor 'Apple', version 10.3.1894
System Description:  Mac OS X 10.15.6

Configured using:
 'configure --enable-checking=yes,glyphs --enable-check-lisp-object-type
 'CFLAGS=-O0 -g3''




Acknowledgement sent to Andrii Kolomoiets <andreyk.mad@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#43973; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 14 Oct 2020 21:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.